User

A list of all publicly available methods for interacting with the API.

GET

Get linked accounts Other linked accounts -/user/social/links

Query method

GEThttp://apilocal.stableproxy.com/v2/user/social/links

Code examples

async function getUserSocialLinks() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/user/social/links', {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Get providers Other linked accounts -/user/social/providers

Query method

GEThttp://apilocal.stableproxy.com/v2/user/social/providers

Code examples

async function getUserSocialProviders() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/user/social/providers', {
         method: 'GET',
         headers: {
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

DELETE

Unlink account Other linked accounts -/user/social/links/{provider}

Query method

DELETEhttp://apilocal.stableproxy.com/v2/user/social/links/{provider}

Query parameters

IdentifierRegulationsExample
provider1required50

Code examples

async function deleteUserSocialLinks() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/user/social/links/{provider}'
      .replace("{provider}", 50), {
         method: 'DELETE',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers